j_classflow.d(1m)

NAME
j_classflow.d - trace a Java class method flow using DTrace.

SYNOPSIS
j_classflow.d classname

DESCRIPTION
This traces activity from all Java processes on the system with hotspot provider support (1.6.0) and the flag "+ExtendedDTraceProbes". eg, java -XX:+ExtendedDTraceProbes classfile This watches Java method entries and returns, and indents child method calls.

OS
Solaris

STABILITY
Evolving - uses the DTrace hotspot provider, which may change as additional features are introduced. Check Java/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # j_classflow.d

FIELDS

C   CPU-id

TIME(us)
    Time since boot, us

PID Process ID

CLASS.METHOD
    Java class and method name

LEGEND

->  method entry

<-  method return

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled. Changes in TID will appear to shuffle output, as we change from one thread depth to the next. See Docs/Notes/ALLjavaflow.txt for additional notes.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
j_classflow.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)